--THANKS HOXI!
Hooks:PostHook(CopBase, "default_weapon_name", "GuardWeapons", function(self)
	-- log("working? great!")
	local default_weapon_id = self._default_weapon_id
	local weap_ids = tweak_data.character.weap_ids
	local unit_name = self._unit:name()
	
	local car4 = Idstring("units/payday2/weapons/wpn_npc_m4/wpn_npc_m4")
	local reinfeld = Idstring("units/payday2/weapons/wpn_npc_r870/wpn_npc_r870")
	local chimano = Idstring("units/payday2/weapons/wpn_npc_c45/wpn_npc_c45")
	local bronco = Idstring("units/payday2/weapons/wpn_npc_raging_bull/wpn_npc_raging_bull")
	local compact5 = Idstring("units/payday2/weapons/wpn_npc_mp5/wpn_npc_mp5")
	
    local chimano_users = unit_name == Idstring("units/pd2_dlc_bex/characters/ene_bex_security_02/ene_bex_security_02") 
	or unit_name == Idstring("units/pd2_dlc_bex/characters/ene_bex_security_suit_02/ene_bex_security_suit_02")
	
    local reinfeld_users = unit_name == Idstring("units/payday2/characters/ene_security_3/ene_security_3") 
	or unit_name == Idstring("units/payday2/characters/ene_security_6/ene_security_6")
	or unit_name == Idstring("units/pd2_dlc_bex/characters/ene_bex_security_03/ene_bex_security_03")
	or unit_name == Idstring("units/pd2_dlc_bex/characters/ene_bex_security_suit_03/ene_bex_security_suit_03")
	
    local compact5_users = unit_name == Idstring("units/payday2/characters/ene_security_4/ene_security_4") 

    local car_users = unit_name == Idstring("units/payday2/characters/ene_security_7/ene_security_7") 
	or unit_name == Idstring("units/pd2_dlc_vit/characters/ene_murkywater_secret_service/ene_murkywater_secret_service")
	
    local bronco_users = unit_name == Idstring("units/payday2/characters/ene_security_8/ene_security_8") 
	
	if car_users then 
		return car4
	elseif chimano_users then 
		return chimano				
	elseif reinfeld_users then 
		return reinfeld				
	elseif compact5_users then 
		return compact5
	elseif bronco_users then 
		return bronco			
	end
end)